Community discussions

 
a-l-i-e-n
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 60
Joined: Tue Jan 10, 2006 8:02 pm

upgrade

Fri Apr 20, 2007 12:08 am

I upgraded from MT 2.9.41 to 3.0beta7 via webox ....
then I gave the command for restart and now I cant get to my MT .... why?

Is this normal... ?
 
User avatar
normis
MikroTik Support
MikroTik Support
Posts: 24268
Joined: Fri May 28, 2004 11:04 am
Location: Riga, Latvia

Fri Apr 20, 2007 7:51 am

connect to it via keyboard+monitor and see what happens. of course it is not normal
 
a-l-i-e-n
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 60
Joined: Tue Jan 10, 2006 8:02 pm

Fri Apr 20, 2007 9:57 am

I can't do that my pc is 5m from the top of the roof ....
Can I save the data somehow ?
 
User avatar
normis
MikroTik Support
MikroTik Support
Posts: 24268
Joined: Fri May 28, 2004 11:04 am
Location: Riga, Latvia

Fri Apr 20, 2007 10:33 am

open winbox loader and hit the `...` button to see if it finds your router
 
a-l-i-e-n
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 60
Joined: Tue Jan 10, 2006 8:02 pm

Fri Apr 20, 2007 10:43 am

It dosen't
 
User avatar
normis
MikroTik Support
MikroTik Support
Posts: 24268
Joined: Fri May 28, 2004 11:04 am
Location: Riga, Latvia

Fri Apr 20, 2007 11:33 am

Then the only choice you have is to get close to the box and see what happened
 
a-l-i-e-n
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 60
Joined: Tue Jan 10, 2006 8:02 pm

Fri Apr 20, 2007 4:35 pm

I took the CF disk out and I conected it to diferent computer.... MT worked there.... then I tried to upgrade it one more time .... in primary computer MT didn't worked.... I've downgrade it to version 2.9.42 and now MT works ....

I don't know why 3.0beta7 dosen't works ....
 
User avatar
janisk
MikroTik Support
MikroTik Support
Posts: 6283
Joined: Tue Feb 14, 2006 9:46 am
Location: Riga, Latvia

Fri Apr 20, 2007 5:49 pm

i have tested beta7 on RB112 RB153 RB532 and RB532A and i had no problems with downgrading to version 2.9 afterwards
 
a-l-i-e-n
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 60
Joined: Tue Jan 10, 2006 8:02 pm

Fri Apr 20, 2007 6:56 pm

It vouldn't be a problem If I could log in to the router
The router didn't respond in any way....
Why do the normal versions work fin and the first beta thah I try dosen't... ?
 
User avatar
NathanA
Forum Veteran
Forum Veteran
Posts: 801
Joined: Tue Aug 03, 2004 9:01 am

Sat Apr 21, 2007 8:08 am

Why do the normal versions work fin and the first beta thah I try dosen't... ?
I don't mean to sound overly cynical, but...

...hmm, could the answer to your question possibly have anything to do with the fact that the normal version (as you call it) is normal and the beta version is beta? :) If MT thought it was ready for release as production code, they wouldn't have labelled it "beta!"

It might work for some (it did for me, in my limited testing...), but not for others. It depends on the hardware you're running it on, the way you went about installing it, the configuration (if there was one) that it imported during the upgrade, and bugs still extant in the beta code.

I'm not trying to discourage anyone from running the beta code, testing the beta code, playing with the beta code, taking it around the block for a spin. But questions like "why does the stable version work and the beta version doesn't" seem a little obvious and pointless/non-productive. :)

If the same 3.0beta7 install works on one machine but not on another, you might put the disk back in the machine it works on, generate a supout, and send it to support along with a description of the hardware that you tried running it on along with the symptoms. Maybe they can figure out what's wrong.

-- Nathan
 
phendry
Member Candidate
Member Candidate
Posts: 258
Joined: Fri May 28, 2004 4:42 pm

Re: upgrade

Mon Sep 24, 2007 11:49 am

Hi,

I had a similar thing when upgrading an x86 server from 2.9.x to 3.0rc5. When I connected a monitor it said:

Loading system with initrd
Uncompressing Linux... Ok, booting the kernel.
ERROR: Could not find disk!
Please attache it somewhere else.


The CF card was secondary master so I tried it in the primary master but same error. I have the exact same hardware running 3.0rc2 but think that may have been a cleen install of v3 (i.e not an upgrade from v2). The box does have dual processors so could that be the issue as v2 will only use 1 CPU but v3 makes use of both?
 
pospanko
Member Candidate
Member Candidate
Posts: 272
Joined: Sun Dec 18, 2005 4:23 pm

Re: upgrade

Tue Sep 25, 2007 9:35 am

Hi,

I had a similar thing when upgrading an x86 server from 2.9.x to 3.0rc5. When I connected a monitor it said:

Loading system with initrd
Uncompressing Linux... Ok, booting the kernel.
ERROR: Could not find disk!
Please attache it somewhere else.


The CF card was secondary master so I tried it in the primary master but same error. I have the exact same hardware running 3.0rc2 but think that may have been a cleen install of v3 (i.e not an upgrade from v2). The box does have dual processors so could that be the issue as v2 will only use 1 CPU but v3 makes use of both?
I use v3 RC4 with Intel 1,8 Celeron processor and when I try to upgrade it to RC5 I get same error....
 
uldis
MikroTik Support
MikroTik Support
Posts: 3425
Joined: Mon May 31, 2004 2:55 pm

Re: upgrade

Tue Sep 25, 2007 10:59 am

Hi,

I had a similar thing when upgrading an x86 server from 2.9.x to 3.0rc5. When I connected a monitor it said:

Loading system with initrd
Uncompressing Linux... Ok, booting the kernel.
ERROR: Could not find disk!
Please attache it somewhere else.


The CF card was secondary master so I tried it in the primary master but same error. I have the exact same hardware running 3.0rc2 but think that may have been a cleen install of v3 (i.e not an upgrade from v2). The box does have dual processors so could that be the issue as v2 will only use 1 CPU but v3 makes use of both?
I use v3 RC4 with Intel 1,8 Celeron processor and when I try to upgrade it to RC5 I get same error....
you also had installed RC4 on the CF and upgraded to RC5 and got that error?
 
pospanko
Member Candidate
Member Candidate
Posts: 272
Joined: Sun Dec 18, 2005 4:23 pm

Re: upgrade

Tue Sep 25, 2007 11:02 am

Hi,

I had a similar thing when upgrading an x86 server from 2.9.x to 3.0rc5. When I connected a monitor it said:

Loading system with initrd
Uncompressing Linux... Ok, booting the kernel.
ERROR: Could not find disk!
Please attache it somewhere else.


The CF card was secondary master so I tried it in the primary master but same error. I have the exact same hardware running 3.0rc2 but think that may have been a cleen install of v3 (i.e not an upgrade from v2). The box does have dual processors so could that be the issue as v2 will only use 1 CPU but v3 makes use of both?
I use v3 RC4 with Intel 1,8 Celeron processor and when I try to upgrade it to RC5 I get same error....
you also had installed RC4 on the CF and upgraded to RC5 and got that error?
No, my installation is on hdd...
 
Nutcracker
Frequent Visitor
Frequent Visitor
Posts: 66
Joined: Mon Jun 04, 2007 5:03 pm

Re: upgrade

Tue Sep 25, 2007 11:06 am

I also have the same problem. We initially installed RouterOS v2.9.x on the machine. It worked fine untill it started crashing at irregular intervals. I contacted MT and they told me to send them a support out. I never did this because shortly afterwards 2 other servers of the same brand crashed :shock:

I then contacted the supplier and took the servers back. After some "research" they found that the motherboards and the CPU's where incompatible :shock:

To cut a short story long, they replaced the CPU's and now, with everything the same(hardware wise) except the CPU, I am also getting this message when I plug in the monitor:

Loading system with initrd
Uncompressing Linux... Ok, booting the kernel.
ERROR: Could not find disk!
Please attach it somewhere else.


We bought a level 4 license for the server and I feel that its the same box and I don't have to get a new license.
 
phendry
Member Candidate
Member Candidate
Posts: 258
Joined: Fri May 28, 2004 4:42 pm

Re: upgrade

Tue Sep 25, 2007 11:28 am

What is common between all our hardware that is failing? Is everyone using single or dual processors? Are they AMD or P4?

We had this problem on a Supermicro box with dual Xeon 1.8GHz CPU's and 1G rambus ram.
 
Nutcracker
Frequent Visitor
Frequent Visitor
Posts: 66
Joined: Mon Jun 04, 2007 5:03 pm

Re: upgrade

Tue Sep 25, 2007 11:37 am

We are using a Intel Pentium 4 3.20Ghz processor(single core with HT), with 1 Gb Ram. 80Gb (no raid) sata drive. The motherboard is a Tyan server motherboard. As per my previous post, the only difference between the original and the current box is the CPU.
 
phendry
Member Candidate
Member Candidate
Posts: 258
Joined: Fri May 28, 2004 4:42 pm

Re: upgrade

Tue Sep 25, 2007 11:50 am

We are using a CF in ours so it would appear there is nothing common between the 2 :(
 
uldis
MikroTik Support
MikroTik Support
Posts: 3425
Joined: Mon May 31, 2004 2:55 pm

Re: upgrade

Wed Sep 26, 2007 10:49 am

please make the support output file from the version where it boots, so we could check what could cause that problems and send it to support@mikrotik.com
 
Nutcracker
Frequent Visitor
Frequent Visitor
Posts: 66
Joined: Mon Jun 04, 2007 5:03 pm

Re: upgrade

Wed Sep 26, 2007 12:26 pm

That is going to be a problem, seeing that it does not start RouterOS. The only thing that we can give you is:

Loading system with initrd
Uncompressing Linux... Ok, booting the kernel.
ERROR: Could not find disk!
Please attach it somewhere else.


This seems to be the only thing that phendry and I have in common.
 
Nutcracker
Frequent Visitor
Frequent Visitor
Posts: 66
Joined: Mon Jun 04, 2007 5:03 pm

Re: upgrade

Wed Sep 26, 2007 12:44 pm

I found some help on another thread:
http://forum.mikrotik.com/viewtopic.php ... se.#p71274

I have a back-up of the server and as long as I keep my license, I'll be happy.

As I understand, all you do is:

1. Turn on the machine
2. Pop the CD in with RouterOS
3. Select your packages
4. Install and keep configuration
5. Reboot
6. Log in with default setting (username-admin, password-blank)
7. Dump the back-up and restore

Anything I missed??

Just in the case that I might loose the license.... what do I do?
 
Nutcracker
Frequent Visitor
Frequent Visitor
Posts: 66
Joined: Mon Jun 04, 2007 5:03 pm

Re: upgrade

Wed Sep 26, 2007 1:41 pm

JUST GREAT

start the re-install. It asks: "Do you want to keep old configuration[y/n]"
I select yes. THEN it tells me something to the effect of "Was unable to keep configuration, license does not support it."

Reboot the server, login in with default settings. Now there is a new software ID and I only have 23h46m left. I would really like to get the server up and running, but seeing that I can only do this if I purchase ANOTHER license, I don't think it is going to happen anytime soon.

Please help.
 
User avatar
janisk
MikroTik Support
MikroTik Support
Posts: 6283
Joined: Tue Feb 14, 2006 9:46 am
Location: Riga, Latvia

Re: upgrade

Wed Sep 26, 2007 2:02 pm

JUST GREAT

start the re-install. It asks: "Do you want to keep old configuration[y/n]"
I select yes. THEN it tells me something to the effect of "Was unable to keep configuration, license does not support it."

Reboot the server, login in with default settings. Now there is a new software ID and I only have 23h46m left. I would really like to get the server up and running, but seeing that I can only do this if I purchase ANOTHER license, I don't think it is going to happen anytime soon.

Please help.
please contact the support support@mikrotik.com please state from what version you did the upgrade, describe the steps exactly what you did.
 
Nutcracker
Frequent Visitor
Frequent Visitor
Posts: 66
Joined: Mon Jun 04, 2007 5:03 pm

Re: upgrade

Wed Sep 26, 2007 2:21 pm

I would just like to apologize to the people who are reading this thread. I have no right to get angry with people who are trying to help me with the problem.

I have sent an email to support@mikrotik.com as requested
 
Alligator
just joined
Posts: 4
Joined: Wed Mar 02, 2005 11:46 am

Re: upgrade

Mon Oct 08, 2007 10:01 am

Same problem here. Celeron 1ghz, hdd install. 2.9.45 --> v3 rc6.
 
mps01k
Frequent Visitor
Frequent Visitor
Posts: 89
Joined: Fri Mar 23, 2007 9:09 pm
Location: HONDURAS
Contact:

Re: upgrade

Tue Oct 09, 2007 7:35 am

i have installed 4 servers with the beta v5 and no problems but today i got the same exact message as is above from the others.

the server i am using is the same brand , config ect as one of the others that i have done and there was no problem on the others..

i am using in this instance a old p3.. dell 256 ram 20gb hd. i have to reinstall stable version with CD to get it back running.. i am currently downloading version 6 to see if it works.. i dont understand why that a different sever with maching hardware had no problem and this one did.. (and i tried 2 times with v5) so far the only thing i have lost are my modified webpages on hotpot (dummy me didnt back them up) but it is time for a new design anyway...
setting up small WISP in Honduras over Satelite connections

Who is online

Users browsing this forum: No registered users and 67 guests